Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.application
Class TreeStructureManager.TreeStructComponent

    java.lang.Object
      org.apache.myfaces.application.TreeStructureManager.TreeStructComponent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TreeStructureManager

public static class TreeStructureManager.TreeStructComponent
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getComponentClass()`
`java.lang.String` | `getComponentId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getComponentClass

    public java.lang.String getComponentClass()

### getComponentId

    public java.lang.String getComponentId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD